Bug 1419289 - [abrt] plymouth: ply_renderer_open_input_source(): plymouthd killed by SIGSEGV
Summary: [abrt] plymouth: ply_renderer_open_input_source(): plymouthd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:961a4f9cf796fc288d7af9eebc3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 22:55 UTC by Jan Vesely
Modified: 2017-12-12 10:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:29:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.14 KB, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: cgroup (253 bytes, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: core_backtrace (3.55 KB, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: dso_list (2.12 KB, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: environ (163 bytes, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: maps (10.95 KB, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: mountinfo (3.49 KB, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: open_fds (1.06 KB, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details
File: var_log_messages (317 bytes, text/plain)
2017-02-04 22:55 UTC, Jan Vesely
no flags Details

Description Jan Vesely 2017-02-04 22:55:18 UTC
Version-Release number of selected component:
plymouth-0.9.3-0.6.20160620git0e65b86c.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        @usr/sbin/plymouthd --mode=boot --pid-file=/var/run/plymouth/pid --attach-to-session
crash_function: ply_renderer_open_input_source
executable:     /usr/sbin/plymouthd
global_pid:     432
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ply_renderer_open_input_source at ply-renderer.c:371
 #1 ply_keyboard_watch_for_renderer_input at ply-keyboard.c:304
 #2 ply_keyboard_watch_for_input at ply-keyboard.c:385
 #3 ply_device_manager_activate_keyboards at ply-device-manager.c:919
 #4 show_theme at main.c:1743
 #5 show_detailed_splash at main.c:353
 #7 toggle_between_splash_and_details at main.c:1474
 #8 dump_details_and_quit_splash at main.c:1157
 #9 on_quit at main.c:1373
 #10 ply_boot_connection_on_request at ply-boot-server.c:493

Comment 1 Jan Vesely 2017-02-04 22:55:23 UTC
Created attachment 1247736 [details]
File: backtrace

Comment 2 Jan Vesely 2017-02-04 22:55:24 UTC
Created attachment 1247737 [details]
File: cgroup

Comment 3 Jan Vesely 2017-02-04 22:55:25 UTC
Created attachment 1247738 [details]
File: core_backtrace

Comment 4 Jan Vesely 2017-02-04 22:55:26 UTC
Created attachment 1247739 [details]
File: dso_list

Comment 5 Jan Vesely 2017-02-04 22:55:27 UTC
Created attachment 1247740 [details]
File: environ

Comment 6 Jan Vesely 2017-02-04 22:55:28 UTC
Created attachment 1247741 [details]
File: limits

Comment 7 Jan Vesely 2017-02-04 22:55:29 UTC
Created attachment 1247742 [details]
File: maps

Comment 8 Jan Vesely 2017-02-04 22:55:30 UTC
Created attachment 1247743 [details]
File: mountinfo

Comment 9 Jan Vesely 2017-02-04 22:55:31 UTC
Created attachment 1247744 [details]
File: namespaces

Comment 10 Jan Vesely 2017-02-04 22:55:32 UTC
Created attachment 1247745 [details]
File: open_fds

Comment 11 Jan Vesely 2017-02-04 22:55:33 UTC
Created attachment 1247746 [details]
File: proc_pid_status

Comment 12 Jan Vesely 2017-02-04 22:55:34 UTC
Created attachment 1247747 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 15:20:13 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:29:53 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.